# RPM specfile for pan module
# Generated Sun May  5 19:59:12 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.30 2002/04/30 21:25:07 dobey Exp $

%define nam	pan
%define ver	0.11.3
%define ximrev	1

Name:     	pan
Version: 	0.11.3
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.superpimp.org/
Epoch:		1
Source0:	pan-0.11.3.tar.gz
Summary:	Pan Newsreader
Group:		Applications/Internet
Provides:	ximian-pan = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Pan is a newsreader. It is GTK based, supports multiple servers,
threading, and multi-part binaries. Fairly lightwieght and fast. If
you like Forte's Agent for Windows, you might like this
Newsreader.

%files
%defattr(-, root, root)
%doc INSTALL
/usr/bin/pan
/usr/share/gnome/apps/Internet/pan.desktop
/usr/share/pixmaps/*
/usr/*/locale/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n pan-0.11.3
    ;;
all)
%setup  -q -n pan-0.11.3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sun May 5 2002 Ximian, Inc.

- Version: 1:0.11.3-1.ximian.1
- Summary: New build.
- New automated build.

